#!/bin/bash

#
# .debian.bashrc
#

# If not running interactively, don't do anything
[[ $- != *i* ]] && return

#################################
# - bash_aliases
# - bash-completion

[[ -r /usr/share/bash-completion/bash_completion ]] && . /usr/share/bash-completion/bash_completion

[[ -f /etc/bash_completion.d/git-prompt ]] && . /etc/bash_completion.d/git-prompt

[[ -r ~/.bash_aliases ]] && . ~/.bash_aliases

[[ -r ~/.ps1 ]] && . ~/.ps1

#################################
# Debian Defaults
#
# don't put duplicate lines or lines starting with space in the history.
HISTCONTROL=ignoreboth

# append to the history file, don't overwrite it
shopt -s histappend

# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
HISTSIZE=1000
HISTFILESIZE=2000

# check the window size after each command and, if necessary,
# update the values of LINES and COLUMNS.
shopt -s checkwinsize

# make less more friendly for non-text input files, see lesspipe(1)
[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"

#################################
# direnv
# put at end of .rc
eval "$(direnv hook bash)"
